## openocd 0.5.0

=== debian/changelog ===
openocd (0.5.0-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-5704: OpenOCD does not block attempts to use HTTP POST for
    sending data to localhost, which allows remote attackers to conduct
    cross-protocol scripting attacks, and consequently execute arbitrary
    commands, via a crafted web site.
  * Export CCACHE=none and add fix-ftbfs.patch to prevent a build failure in
    the jimtcl submodule.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Jan 2018 13:27:35 +0100

openocd (0.5.0-1) unstable; urgency=low

  * New upstream release.
    + Drop all our patches, no need to touch autotools.
    + Use upstream changelog now shipped within tarball.
  * debian/watch: pointed to SF file depot.

 -- Luca Bruno <lucab@debian.org>  Tue, 09 Aug 2011 09:33:35 +0200

openocd (0.5.0~rc2-2) unstable; urgency=low

  * Acknowledge NMU, thanks Hector.
  * Fix FTBFS on non-linux ports (Closes: #633404).
  * Don't list STM Primer2 as a supported device (Closes: #633532). 
  * Update ChangeLog for this RC release.

 -- Luca Bruno <lucab@debian.org>  Thu, 21 Jul 2011 15:51:03 +0200

openocd (0.5.0~rc2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace linux architectures with linux-any (Closes: #617775)

 -- Hector Oron <zumbi@debian.org>  Mon, 11 Jul 2011 14:00:12 +0100

openocd (0.5.0~rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * Acknowledge previous NMUs, thanks Luk.
  * Added myself as uploader, with Uwe permission.

 -- Luca Bruno <lucab@debian.org>  Thu, 07 Jul 2011 09:54:00 +0200

openocd (0.4.0-1+nmu1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update lintian overrides so it does not get rejected.

 -- Luk Claes <luk@debian.org>  Thu, 30 Jun 2011 18:30:42 +0200

openocd (0.4.0-1+nmu1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files(Closes: #622431).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 15:02:19 +0200

openocd (0.4.0-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch to build ep93xx and at91rm9200 on armel (Closes: #597932).
  * Disable parport, gw16012 and amtjtagaccel drivers on GNU/HURD,
    rules snippet by Pino Toscano. 

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Sep 2010 20:26:48 +0200

openocd (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #564842).
    + Fixes udev rules warnings (Closes: #560141).
  * Rebuild to fix "segfault when interface not connected" (Closes: #568226).
  * Standards-Version: 3.8.4 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Thu, 04 Feb 2010 01:45:30 +0100

openocd (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #554598, #537740).
  * Add sh4 (instead of sh) to the list of architectures (Closes: #555553).
  * Standards-Version: 3.8.3 (no changes required).
  * debian/watch: Add file.
  * debian/docs: Updates, some files were removed, some added.

 -- Uwe Hermann <uwe@debian.org>  Wed, 25 Nov 2009 12:20:04 +0100

openocd (0.2.0+r2529-1) unstable; urgency=low

  * New upstream release (this corresponds to upstream 0.2.0 roughly).
    + The 'target library' is now in /usr/share/openocd/*.
  * NEWS and README contain useful info now, so ship them in the package.

 -- Uwe Hermann <uwe@debian.org>  Wed, 15 Jul 2009 21:27:39 +0200

openocd (0.0+r2403-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.2 (no changes required).
  * Add missing build-dependency 'texlive' (Closes: #533465).

 -- Uwe Hermann <uwe@debian.org>  Thu, 25 Jun 2009 18:02:44 +0200

openocd (0.0+r2172-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/20_fix_warnings.patch: Drop.
  * Upgrade autoconf build-dependecy to >= 2.60 as per upstream.
  * Add new upstream build-dependency on libtool.
  * Various docs have been removed, moved, and added. See
    /usr/share/doc/openocd for the current list of documentation
    files (apart from manpage and info page).
  * Add debian/openocd.doc-base and install docs in PDF and HTML format also.

 -- Uwe Hermann <uwe@debian.org>  Tue, 09 Jun 2009 15:32:53 +0200

openocd (0.0+r1606-1) unstable; urgency=low

  * New upstream release.
  * Use --disable-werror for now until all warnings have been fixed
    upstream (Closes: #526441, #527100).
  * Build-depend on automake (>= 1.6) as per upstream.

 -- Uwe Hermann <uwe@debian.org>  Tue, 05 May 2009 18:39:03 +0200

openocd (0.0+r1583-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.1 (no changes required).

 -- Uwe Hermann <uwe@debian.org>  Thu, 30 Apr 2009 22:00:57 +0200

openocd (0.0+r1409-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update description, including newly supported dongles.
  * debian/rules: Add --enable-arm-jtag-ew to support the Olimex
    ARM-JTAG-EW JTAG programmer.
  * debian/patches/10_fix_warnings.patch: Drop, merged upstream.
  * debian/openocd.udev: Drop, merged upstream.
  * Show openocd svn revision in --version output (Closes: #517296).
  * Don't ship the 'ecosflash' and 'testing' dirs for now, not too useful.

 -- Uwe Hermann <uwe@debian.org>  Wed, 11 Mar 2009 19:29:27 +0100

openocd (0.0+r1292-1) unstable; urgency=low

  * New upstream release.
    * debian/rules:
      + Add --enable-jlink, --enable-vsllink, --enable-rlink.
      + Use chrpath to strip newly introduced (upstream) RPATH.
  * debian/openocd.udev: Add file. Adds udev rules to allow the 'plugdev' group
    JTAG programmer access without having to become root (Closes: #508921).
    Currently there are rules for the programmers 'Olimex ARM-USB-OCD' and
    'USBprog with OpenOCD firmware' (untested, but should work).
  * debian/patches/10_fix_ep93xx.patch: Drop, similar patch merged upstream.
  * debian/patches/10_fix_warnings.patch: Add.
  * debian/docs: Add NEWTAPS.
  * debian/copyright: Add license of various new files.

 -- Uwe Hermann <uwe@debian.org>  Sun, 28 Dec 2008 15:02:52 +0100


