=== debian/control ===
Source: openocd
Section: embedded
Priority: extra
Maintainer: Uwe Hermann <uwe@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
Standards-Version: 3.9.2
Homepage: http://openocd.berlios.de

Package: openocd
Architecture: linux-any hurd-i386 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open on-chip JTAG debug solution for ARM and MIPS systems
 OpenOCD is an on-chip debugging, in-system programming and boundary-scan
 testing tool for ARM and MIPS systems.
 .
 The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access
 on-chip debug functionality available on ARM based microcontrollers or
 system-on-chip solutions. For MIPS systems the EJTAG interface is supported.
 .
 User interaction is realized through a telnet command line interface,
 a gdb (the GNU debugger) remote protocol server, and a simplified RPC
 connection that can be used to interface with OpenOCD's Jim Tcl engine.
 .
 OpenOCD supports various different types of JTAG interfaces/programmers:
 .
   * Parallel port wigglers:
     * Macraigor Wiggler JTAG cable (and many clones)
     * Xilinx DLC5 JTAG parallel cable III (and many clones)
     * Amontec JTAG Accelerator
     * Gateworks GW16012 JTAG programmer
     * Wiggler 2 cable (basically a wiggler with an LED)
     * Wiggler with NTRST inverted
     * AMT Wiggler
     * Ka-Ro TRITON starterkit II JTAG cable
     * Lattice parallel port JTAG cable
     * ST FlashLINK programming cable
   * USB FT2232 based dongles:
     * USBJTAG
     * Amontec JTAGkey
     * Amontec JTAGkey-Tiny
     * OOCD-Link
     * eVerve Signalyzer
     * Luminary Micro Stellaris/LM3S811 Evaluation Board A
     * Olimex ARM-USB-OCD
     * TinCanTools Flyswatter
     * Turtelizer 2
     * Hitex STR9-comStick
     * Hitex STM32-PerformanceStick
     * Axiom AXM-0432 Link
     * Section5 ICEbear
   * USB JLINK based adapters:
     * Atmel SAMICE (only works with Atmel chips)
     * Segger J-Link
     * IAR J-Link
   * USB RLINK based adapters:
     * Raisonance RLink
     * STM32 Primer
   * USB other:
     * USBprog
     * ASIX PRESTO
     * Versaloon-Link
     * ARM-JTAG-EW
   * Standalone systems:
     * Zylin ZY1000
   * Other:
     * EP93xx based Linux machine
     * AT91RM9200
 .
 OpenOCD supports debugging on a number of different ARM/MIPS cores:
   * ARM7:
     * ARM7TDMI(-s)
     * ARM720t
   * ARM9:
     * ARM9TDMI
     * ARM920t
     * ARM922t
     * ARM926ej-s
     * ARM966e-s
   * ARM11
     * ARM1136
     * ARM1156
     * ARM1176
   * Intel XScale:
     * PXA25x
     * PXA26x
     * PXA27x
     * IXP42x
     * IXP45x
     * IXP46x
   * Cortex-M3
     * Luminary Stellaris LM3
     * ST STM32
   * MIPS m4k
   * Marvell Feroceon CPU core (as found in the Orion SoC family)
 .
 Flash programming/writing is supported for:
   * External CFI compatible flashes:
     * Intel and AMD/Spansion command set
   * Internal flashes:
     * LPC2000
     * AT91SAM7
     * STR7x
     * STR9x
     * LM3
     * STM32x
   * LPC3180 NAND flash
