=== debian/watch ===
version=3

#OpenOCD release files at SourceForge (current)
http://sf.net/openocd/openocd-(.*)\.tar\.bz2

#OpenOCD release files at Berlios (seldomly used)
#opts=downloadurlmangle=s/prdownload/download/ \
#  http://developer.berlios.de/project/showfiles.php?group_id=4148 \
#  http://prdownload.berlios.de/openocd/openocd-(.*)\.tar\.bz2
