## openocd 0.6.1

=== debian/changelog ===
openocd (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #644015).
    - Use configure options: --enable-ftdi, --enable-stlink, --enable-osbdm,
      --enable-opendous, --enable-remote-bitbang
  * Standards-Version: 3.9.4 (no changes required).
  * Use http://openocd.sourceforge.net/ as new upstream homepage.

 -- Uwe Hermann <uwe@debian.org>  Tue, 04 Dec 2012 23:54:54 +0100
