=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
-export CCACHE=none
+
 ## Complete autoreconf, only for our own git snapshot
 #DEB_AUTO_UPDATE_AUTOCONF = 2.68
 #DEB_AUTO_UPDATE_AUTOMAKE = 1.11
@@ -18,35 +18,39 @@
 DEB_MAKE_BUILD_TARGET := all pdf html
 
 # Don't strip/compress certain files.
-DEB_STRIP_EXCLUDE := .elf .bin examples
-DEB_COMPRESS_EXCLUDE := .elf .bin examples
+DEB_STRIP_EXCLUDE := .elf .bin
+DEB_COMPRESS_EXCLUDE := .elf .bin
 
 # TODO: Use --enable-oocd_trace later, right now it's just a proof-of-concept.
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-maintainer-mode \
 	--disable-werror \
+	\
+	--enable-dummy \
 	--enable-ft2232_libftdi \
+	--enable-ftdi \
+	--enable-usb_blaster_libftdi \
 	--enable-ep93xx \
 	--enable-at91rm9200 \
+	--enable-presto_libftdi \
 	--enable-usbprog \
-	--enable-presto_libftdi \
 	--enable-jlink \
 	--enable-vsllink \
 	--enable-rlink \
+	--enable-ulink \
 	--enable-arm-jtag-ew \
-	--enable-dummy \
 	--enable-buspirate \
-	--enable-ulink \
-	--enable-presto_libftdi \
-	--enable-usb_blaster_libftdi \
-	--enable-ft2232_libftdi
+	--enable-stlink \
+	--enable-osbdm \
+	--enable-opendous \
+	--enable-remote-bitbang
 
 configure_flags_parport := \
 	--enable-parport \
 	--enable-parport_ppdev
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
+# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
 # Add --enable-gw16012 and --enable-amtjtagaccel only for Linux,
 # as they're currently supported there only.
@@ -54,7 +58,7 @@
 endif
    
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here
+# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
 endif
 
@@ -70,6 +74,10 @@
 	@### chmod 755 config.guess config.sub doc/mdate-sh
 	@# Copy udev rules file into debian/ so that dh_installudev finds it.
 	cp contrib/openocd.udev debian/openocd.udev
+
+binary-install/openocd::
+	# Install the loaders/ subdir in /usr/share/doc.
+	cp -r contrib/loaders debian/openocd/usr/share/doc/openocd
 
 binary-post-install/openocd::
 	@# Don't ship openocd.udev in /usr/share, dh_installudev handles it.
