=== debian/changelog ===
openocd (0.7.0-2) unstable; urgency=low

  * Only build on linux-any targets needing libusb-1.0-0

 -- Luca Bruno <lucab@debian.org>  Sun, 04 Aug 2013 11:25:52 +0200

openocd (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Wed, 15 May 2013 12:18:17 +0200
