=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Uwe Hermann <uwe@debian.org>
 Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, libusb-1.0-0-dev, chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev, libusb-dev, libusb-1.0-0-dev [linux-any], chrpath, texinfo, texlive, autotools-dev, autoconf, automake1.11, libtool
 Standards-Version: 3.9.4
 Homepage: http://openocd.sourceforge.net/
 
 Package: openocd
-Architecture: linux-any hurd-i386 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Open on-chip JTAG debug solution for ARM and MIPS systems
  OpenOCD is an on-chip debugging, in-system programming and boundary-scan
