=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 	\
 	--enable-dummy \
 	--enable-ft2232_libftdi \
-	--enable-ftdi \
 	--enable-usb_blaster_libftdi \
 	--enable-ep93xx \
 	--enable-at91rm9200 \
@@ -40,7 +39,6 @@
 	--enable-ulink \
 	--enable-arm-jtag-ew \
 	--enable-buspirate \
-	--enable-stlink \
 	--enable-osbdm \
 	--enable-opendous \
 	--enable-remote-bitbang
@@ -50,11 +48,14 @@
 	--enable-parport_ppdev
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-# Parport drivers only work on Linux and kFreeBSD, conditionally add them here.
+# Some adapters are only supported on Linux.
 DEB_CONFIGURE_EXTRA_FLAGS += $(configure_flags_parport)
-# Add --enable-gw16012 and --enable-amtjtagaccel only for Linux,
-# as they're currently supported there only.
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 --enable-amtjtagaccel
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gw16012 \
+			     --enable-amtjtagaccel \
+			     --enable-ftdi \
+			     --enable-stlink \
+			     --enable-ti-icdi \
+			     $(configure_flags_parport)
 endif
    
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
