=== debian/watch ===
version=3
http://sf.net/openocd/openocd-(.*)\.tar\.bz2
