## openocd 0.8.0

=== debian/changelog ===
openocd (0.8.0-4+deb7u1) jessie-security; urgency=high

  * Pull "bindto" command from upstream
  * Bind to localhost by default
  * Prevent some forms of Cross Protocol Scripting attacks (CVE-2018-5704)
    (Closes: #887488)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 21 Jan 2018 18:50:16 +0000

openocd (0.8.0-4) unstable; urgency=medium

  * Enable usb_blaster_libftdi on linux
  * Build-dep on libusb2-dev on kfreebsd
    (Closes: #754678)

 -- Luca Bruno <lucab@debian.org>  Mon, 20 Oct 2014 22:11:28 +0200

openocd (0.8.0-3) unstable; urgency=high

  * Require libusb-dev from freebsd-libs 10 snapshot
    (Closes: #754678) 

 -- Luca Bruno <lucab@debian.org>  Sun, 19 Oct 2014 19:12:49 +0200

openocd (0.8.0-2) unstable; urgency=medium

  * tcl/board: fix all the remaining boards that were sourcing 
    ft2232 configs (Closes: #751372)

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 11:42:14 +0200

openocd (0.8.0-1) unstable; urgency=medium

  * New upstream stable release
    + Adjust build-dep for kfreebsd and hurd
    + Enable more GPIO-based adapters
  * Bumped Standards-Version
  * Updated watch file, thanks Bart Martens
  * Cleaned several unused legacy rules
  * Updated copyright entries

 -- Luca Bruno <lucab@debian.org>  Sat, 10 May 2014 19:14:51 +0200

openocd (0.8.0~rc1-1) unstable; urgency=medium

  * New upstream rc release
    + Added pkg-config build-dep
    + Now using libusb-1.0-0

 -- Luca Bruno <lucab@debian.org>  Sat, 05 Apr 2014 10:30:08 +0200
