=== debian/control ===
Source: openocd
Section: embedded
Priority: extra
Maintainer: Uwe Hermann <uwe@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev [!kfreebsd-any], 
               libusb-1.0-0-dev [linux-any], libusb2-dev (>= 10.1~) [kfreebsd-any], libusb-dev [hurd-any], 
               texinfo, texlive, 
               autotools-dev, autoconf, automake1.11, libtool, 
               libhidapi-dev, pkg-config
Standards-Version: 3.9.5
Homepage: http://openocd.sourceforge.net/

Package: openocd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open on-chip JTAG debug solution for ARM and MIPS systems
 OpenOCD is an on-chip debugging, in-system programming and boundary-scan
 testing tool for ARM and MIPS systems.
 .
 The debugger uses an IEEE 1149-1 compliant JTAG TAP bus master to access
 on-chip debug functionality available on ARM based microcontrollers or
 system-on-chip solutions. For MIPS systems the EJTAG interface is supported.
 .
 User interaction is realized through a telnet command line interface,
 a gdb (the GNU debugger) remote protocol server, and a simplified RPC
 connection that can be used to interface with OpenOCD's Jim Tcl engine.
 .
 OpenOCD supports many different types of JTAG interfaces/programmers.
