=== debian/changelog ===
openocd (0.9.0-1build1) wily; urgency=medium

  * No-change rebuild for libjim soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Sep 2015 12:37:04 +0200

openocd (0.9.0-1) unstable; urgency=medium

  * new upstream stable release
  * watch: check pgp signature on upstream tarballs
  * control: bumped policy version

 -- Luca Bruno <lucab@debian.org>  Tue, 19 May 2015 22:13:26 +0200

openocd (0.9.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Stop using embedded jimtcl, use packaged one instead
  * Packaging imported to git
    + Add gbp configuration for new repository
    + Add related Vcs-* tags

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Apr 2015 22:55:38 +0200
