## openocd 0.10.0

=== contrib/loaders/Makefile ===
.PHONY: arm clean-arm

all: arm

common_dirs = \
	checksum \
	erase_check \
	watchdog

ARM_CROSS_COMPILE ?= arm-none-eabi-

arm_dirs = \
	flash/fm4 \
	flash/kinetis_ke \
	flash/xmc1xxx \
	debug/xscale

arm:
	for d in $(common_dirs); do \
		$(MAKE) -C $$d arm; \
	done
	for d in $(arm_dirs); do \
		$(MAKE) -C $$d all CROSS_COMPILE=$(ARM_CROSS_COMPILE); \
	done

clean-arm:
	for d in $(arm_dirs); do \
		$(MAKE) -C $$d clean; \
	done

clean: clean-arm
	for d in $(common_dirs); do \
		$(MAKE) -C $$d clean; \
	done
