=== debian/changelog ===
openocd (0.10.0-4) unstable; urgency=high

  * Bind to localhost by default
  * Prevent some forms of Cross Protocol Scripting attacks (CVE-2018-5704)
    (Closes: #887488)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 18 Jan 2018 19:19:47 +0000

openocd (0.10.0-3) unstable; urgency=medium

  * Fix udev rule installation (Closes: #880092)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 06 Nov 2017 21:03:53 +0000

openocd (0.10.0-2) unstable; urgency=medium

  * Re-enable jlink and add libjaylink-dev dependency.
  * Drop use of CDBS
    + Remove needless dep on autotools / dh-autoreconf.
  * Fix SheevaPlug configuration (Closes: #837989)
  * Fix OpenRD configuration (Closes: #793214)
  * Add a basic README.source (Closes: #851534)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Oct 2017 10:20:48 +0100

openocd (0.10.0-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * New upstream release
    * Includes jtagspi (Closes: #844748)
    * Fixes Intel flash with MIPS target (Closes: #849825)
    * Fixes flyswatter.cfg to use ftdi interface (Closes: #757748)
    * Avoids build date in release builds (Closes: #834316)
  * Disable jlink pending libjaylink package
  * Enable sysfsgpio driver (Closes: #859246)
  * Move to libftdi1-dev (Closes: #810387)
  * Remove duplicated autotools-dev build-dep (Closes: #853010)
  * Switch to libusb-1.0 on kFreeBSD (Closes: #820147)
  * Move maintenance to Debian Electronics Packaging Team
  * Add patch enabling SWD support for Bus Pirate (Closes: #795550)
  * Add explicit build-dep on libusb-0.1, which is still required for 3
    programmers supported by OpenOCD.
  * Bump debhelper compat level to 10.
  * Drop unused + deprecated DEB_STRIP_EXCLUDE / DEB_COMPRESS_EXCLUDE options.
  * Standards-Version: 4.0.1
    * Support nodoc in DEB_BUILD_OPTIONS
    * Switch priority to optional instead of extra

  [ Stefano Rivera ]
  * Clean up copyright file and move to DEP-8

 -- Jonathan McDowell <noodles@earth.li>  Fri, 18 Aug 2017 10:51:30 +0100
