=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: openocd
 Section: embedded
-Priority: extra
-Maintainer: Uwe Hermann <uwe@debian.org>
-Uploaders: Luca Bruno <lucab@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libftdi-dev,
-               libusb-1.0-0-dev [linux-any], libusb-dev [kfreebsd-any hurd-any],
-               texinfo, texlive, 
-               autotools-dev, autoconf,
+Priority: optional
+Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
+Uploaders: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>= 10), libftdi1-dev,
+               libusb-1.0-0-dev, libusb-dev,
+               libjaylink-dev,
+               texinfo, texlive,
                libhidapi-dev,
                libjim-dev,
-               pkg-config,
-               dh-autoreconf
-Standards-Version: 3.9.6
+               pkg-config
+Standards-Version: 4.0.1
 Homepage: http://openocd.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/cgit/crosstoolchain/openocd.git
-Vcs-Git: git://anonscm.debian.org/crosstoolchain/openocd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/openocd.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/openocd.git
 
 Package: openocd
 Architecture: any
