## openocd 0.10.0+g20200819

=== debian/changelog ===
openocd (0.10.0+g20200819-1) unstable; urgency=medium

  * Upstream git snapshot: d46f28c2
  * Upload to unstable
  * Fixes FTBFS with GCC 10 (Closes: #957643)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 19 Aug 2020 07:24:12 +0100

openocd (0.10.0+g20200530-2~exp1) experimental; urgency=medium

  * Team upload
  * Enable jlink after newer version of libjaylink has been uploaded to
    experimental.
  * d/patches/0002-Remove-lines-causing-trouble-for-build-without-libja.patch:
    - Had to hack some lines to make it build without libjaylink in the tree.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 06 Jun 2020 21:35:16 +0200

openocd (0.10.0+g20200530-1) experimental; urgency=medium

  * Upstream git snapshot: d8ac0086
  * Remove no longer necessary patches:
    + buspirate-swd.patch (applied upstream)
    + fix-{sheeva,openrd}.patch (applied upstream)
    + bind-localhost-only.patch (applied upstream)
    + css-fix.patch (applied upstream)
  * Disable jlink (needs libjaylink 0.2)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 31 May 2020 09:58:10 +0100

openocd (0.10.0-6) unstable; urgency=medium

  * Fix USB ID capitalisation in AppStream information
  * Fix AppStream license in debian/copyright
  * Standards-Version: 4.4.0
    * Set Rules-Requires-Root: no

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2019 14:58:35 -0300

openocd (0.10.0-5) unstable; urgency=medium

  * Update VCS URLs to point to Salsa
  * Add AppStream information

 -- Jonathan McDowell <noodles@earth.li>  Fri, 08 Feb 2019 14:29:30 +0000
