=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>= 10), libftdi1-dev,
                libusb-1.0-0-dev, libusb-dev,
-               libjaylink-dev,
+               libjaylink-dev (>= 0.1.0+git20200606.2800726-1~exp1),
                texinfo, texlive,
                libhidapi-dev,
                libjim-dev,
                pkg-config
 Standards-Version: 4.0.1
 Homepage: http://openocd.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/openocd.git
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/openocd.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/openocd
+Vcs-Git: https://salsa.debian.org/electronics-team/openocd.git
+Rules-Requires-Root: no
 
 Package: openocd
 Architecture: any
