## openocd 0.10.0+g20201014

=== debian/changelog ===
openocd (0.10.0+g20201014-1~bpo10+1~rpt2) buster; urgency=medium

  * Update rp2040 patch to 7c961195b91d921ccd5b71f178f9c4f53e7af921
  * Add picoprobe patch from 3a0005afcf14f47e23d1c9f20598f55dfe111e3d

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Jan 2021 16:28:04 +0000

openocd (0.10.0+g20201014-1~bpo10+1~rpt1) buster; urgency=medium

  * Add rp2040 patch

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 28 Oct 2020 21:01:17 +0000
